#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClanRelationship {
    None = 0,
    Blocked = 1,
    Invited = 2,
    Member = 3,
    Kicked = 4,
    KickAcknowledged = 5,
    PendingApproval = 6,
    RequestDenied = 7,
}

impl EClanRelationship {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Blocked as i32 => Some(Self::Blocked),
            x if x == Self::Invited as i32 => Some(Self::Invited),
            x if x == Self::Member as i32 => Some(Self::Member),
            x if x == Self::Kicked as i32 => Some(Self::Kicked),
            x if x == Self::KickAcknowledged as i32 => Some(Self::KickAcknowledged),
            x if x == Self::PendingApproval as i32 => Some(Self::PendingApproval),
            x if x == Self::RequestDenied as i32 => Some(Self::RequestDenied),
            _ => None,
        }
    }
}
